Skip to main content
PUT
/
v1
/
models
/
{model_id}
/
metadata
/
{id}
Update an existing metadata field
curl --request PUT \
  --url https://api.example.com/v1/models/{model_id}/metadata/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "key": "campaign",
  "readable_name": "Campaign Name",
  "type": "STRING",
  "grouping_field": true
}
'
import requests

url = "https://api.example.com/v1/models/{model_id}/metadata/{id}"

payload = {
"key": "campaign",
"readable_name": "Campaign Name",
"type": "STRING",
"grouping_field": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
key: 'campaign',
readable_name: 'Campaign Name',
type: 'STRING',
grouping_field: true
})
};

fetch('https://api.example.com/v1/models/{model_id}/metadata/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 1,
  "client_prompt_template_id": 1,
  "key": "campaign",
  "readable_name": "Campaign Name",
  "type": "STRING",
  "grouping_field": true,
  "enabled": true,
  "created_at": "2026-01-11T10:00:00Z",
  "created_by": "client_abc123"
}
{
"code": "001-001-0001",
"message": "The requested resource was not found"
}
{
"code": "001-001-0001",
"message": "The requested resource was not found"
}
{
"code": "001-001-0001",
"message": "The requested resource was not found"
}
{
"code": "001-001-0001",
"message": "The requested resource was not found"
}
{
"code": "001-001-0001",
"message": "The requested resource was not found"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

model_id
integer
required

The analysis model ID

id
integer
required

The metadata ID

Body

application/json

Request body for creating or updating a metadata field.

key
string
required

Unique identifier key for this metadata within the model

Required string length: 1 - 128
Example:

"campaign"

readable_name
string
required

Human-readable display name for UI presentation

Required string length: 1 - 128
Example:

"Campaign Name"

type
enum<string>
required

Data type: STRING, INTEGER, DECIMAL, BOOLEAN, DATE, TIME, or DATETIME

Available options:
STRING,
INTEGER,
DECIMAL,
BOOLEAN,
DATE,
TIME,
DATETIME
grouping_field
boolean
default:false

Whether this field is used to group data in dashboard views

Example:

false

Response

Successful Response

Response model for metadata.

id
integer
required

Unique identifier

Example:

1

client_prompt_template_id
integer
required

Parent model ID

Example:

1

key
string
required

Metadata key

Example:

"campaign"

readable_name
string
required

Human-readable display name

Example:

"Campaign Name"

type
enum<string>
required

Data type

Available options:
STRING,
INTEGER,
DECIMAL,
BOOLEAN,
DATE,
TIME,
DATETIME
grouping_field
boolean
required

Whether used for dashboard grouping

Example:

false

enabled
boolean
required

Whether the metadata is active

created_at
string<date-time>
required

Creation timestamp

created_by
string
required

Creator identifier

updated_at
string<date-time>

Last update timestamp

updated_by
string

Last updater identifier